Index: trunk/wp-content/themes/xpress_default/ja.po
===================================================================
--- trunk/wp-content/themes/xpress_default/ja.po	(revision 64)
+++ trunk/wp-content/themes/xpress_default/ja.po	(revision 110)
@@ -18,5 +18,5 @@
 "Report-Msgid-Bugs-To: wp-polyglots@lists.automattic.com\n"
 "POT-Creation-Date: 2008-08-15 21:16+0900\n"
-"PO-Revision-Date: 2009-01-08 21:20+0900\n"
+"PO-Revision-Date: 2009-03-17 10:21+0900\n"
 "Last-Translator: toemon <toychee@toemon.com>\n"
 "Language-Team: toemon <info@toemon.com>\n"
@@ -28,5 +28,5 @@
 "X-Poedit-SourceCharset: utf-8\n"
 "X-Poedit-KeywordsList: __;_e;_c\n"
-"X-Poedit-Basepath: C:\\xampp\\htdocs\\cube\\modules\\xpress2x\\wp-content\\themes\\\n"
+"X-Poedit-Basepath: C:\\XPressME_Ver2_SVN\\trunk\\wp-content\\themes\\\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
 "X-Poedit-SearchPath-0: xpress_default\n"
@@ -100,12 +100,15 @@
 
 #: xpress_default/archive.php:78
-#: xpress_default/index.php:35
+#: xpress_default/index.php:39
 #: xpress_default/search.php:39
 #: xpress_default/single.php:28
+#: xpress_default/blocks/popular_posts_block_theme.php:109
+#: xpress_default/blocks/recent_posts_content_block_theme.php:61
+#: xpress_default/blocks/recent_posts_list_block_theme.php:56
 msgid "Tags:"
 msgstr "タグ:"
 
 #: xpress_default/archive.php:78
-#: xpress_default/index.php:35
+#: xpress_default/index.php:40
 #: xpress_default/search.php:39
 #: xpress_default/single.php:28
@@ -115,5 +118,5 @@
 
 #: xpress_default/archive.php:78
-#: xpress_default/index.php:35
+#: xpress_default/index.php:42
 #: xpress_default/search.php:39
 msgid "Edit"
@@ -121,5 +124,5 @@
 
 #: xpress_default/archive.php:78
-#: xpress_default/index.php:35
+#: xpress_default/index.php:43
 #: xpress_default/search.php:39
 msgid "No Comments &#187;"
@@ -127,5 +130,5 @@
 
 #: xpress_default/archive.php:78
-#: xpress_default/index.php:35
+#: xpress_default/index.php:43
 #: xpress_default/search.php:39
 msgid "1 Comment &#187;"
@@ -133,5 +136,5 @@
 
 #: xpress_default/archive.php:78
-#: xpress_default/index.php:35
+#: xpress_default/index.php:43
 #: xpress_default/search.php:39
 msgid "% Comments &#187;"
@@ -139,5 +142,5 @@
 
 #: xpress_default/archive.php:78
-#: xpress_default/index.php:35
+#: xpress_default/index.php:43
 #: xpress_default/search.php:39
 msgid "Comments Closed"
@@ -145,5 +148,5 @@
 
 #: xpress_default/archive.php:89
-#: xpress_default/index.php:47
+#: xpress_default/index.php:57
 #: xpress_default/search.php:27
 #: xpress_default/search.php:45
@@ -152,5 +155,5 @@
 
 #: xpress_default/archive.php:90
-#: xpress_default/index.php:48
+#: xpress_default/index.php:58
 #: xpress_default/search.php:28
 #: xpress_default/search.php:46
@@ -159,5 +162,5 @@
 
 #: xpress_default/archive.php:95
-#: xpress_default/index.php:53
+#: xpress_default/index.php:63
 msgid "Not Found"
 msgstr "見つかりませんでした。"
@@ -529,10 +532,10 @@
 msgstr "該当する投稿は見つかりませんでした。"
 
-#: xpress_default/index.php:36
+#: xpress_default/index.php:46
 #, php-format
 msgid "Views :%d"
 msgstr "閲覧 :%d"
 
-#: xpress_default/index.php:54
+#: xpress_default/index.php:64
 msgid "Sorry, but you are looking for something that isn&#8217;t here."
 msgstr "お探しの物はここにはありません。"
@@ -650,2 +653,56 @@
 msgstr "この投稿を編集 "
 
+#: xpress_default/blocks/archives_block_theme.php:21
+msgid "Select Monthly"
+msgstr "月を選択"
+
+#: xpress_default/blocks/archives_block_theme.php:23
+msgid "Select Weekly"
+msgstr "週を選択"
+
+#: xpress_default/blocks/calender_block_theme.php:71
+msgid "Calendar"
+msgstr "カレンダー"
+
+#: xpress_default/blocks/calender_block_theme.php:72
+#, php-format
+msgid "%1$s %2$s|Used as a calendar caption"
+msgstr ""
+
+#: xpress_default/blocks/calender_block_theme.php:104
+#: xpress_default/blocks/calender_block_theme.php:114
+#, php-format
+msgid "View posts for %1$s %2$s"
+msgstr ""
+
+#: xpress_default/blocks/popular_posts_block_theme.php:135
+#: xpress_default/blocks/recent_posts_content_block_theme.php:93
+#: xpress_default/blocks/recent_posts_list_block_theme.php:82
+#, fuzzy
+msgid "Comments (0)"
+msgstr "コメント (RSS)"
+
+#: xpress_default/blocks/popular_posts_block_theme.php:135
+#: xpress_default/blocks/recent_posts_content_block_theme.php:93
+#: xpress_default/blocks/recent_posts_list_block_theme.php:82
+#, fuzzy
+msgid "Comments (1)"
+msgstr "コメント (RSS)"
+
+#: xpress_default/blocks/popular_posts_block_theme.php:135
+#: xpress_default/blocks/recent_posts_content_block_theme.php:93
+#: xpress_default/blocks/recent_posts_list_block_theme.php:82
+#, fuzzy
+msgid "Comments (%)"
+msgstr "コメント (RSS)"
+
+#: xpress_default/blocks/recent_comments_block_theme.php:71
+#, fuzzy, php-format
+msgid "%1$s on %2$s"
+msgstr "%1$s と %2$s"
+
+#: xpress_default/blocks/recent_posts_content_block_theme.php:66
+#: xpress_default/blocks/recent_posts_content_block_theme.php:68
+msgid "more"
+msgstr "続きを読む"
+