Index: trunk/wp-content/themes/xpress_default/ja.po
===================================================================
--- trunk/wp-content/themes/xpress_default/ja.po	(revision 140)
+++ trunk/wp-content/themes/xpress_default/ja.po	(revision 141)
@@ -18,5 +18,5 @@
 "Report-Msgid-Bugs-To: wp-polyglots@lists.automattic.com\n"
 "POT-Creation-Date: 2008-08-15 21:16+0900\n"
-"PO-Revision-Date: 2009-03-29 01:21+0900\n"
+"PO-Revision-Date: 2009-03-29 12:52+0900\n"
 "Last-Translator: toemon <toychee@toemon.com>\n"
 "Language-Team: toemon <info@toemon.com>\n"
@@ -167,5 +167,4 @@
 
 #: xpress_default/comments.php:45
-#: xpress_default/single.php:22
 msgid "F jS, Y"
 msgstr "Y 年 n 月 j 日"
@@ -354,5 +353,5 @@
 #: xpress_default/image.php:13
 #: xpress_default/index.php:46
-#: xpress_default/single.php:25
+#: xpress_default/single.php:38
 msgid "Read the rest of this entry &raquo;"
 msgstr "この投稿の続きを読む &raquo;"
@@ -360,5 +359,5 @@
 #: xpress_default/image.php:15
 #: xpress_default/page.php:29
-#: xpress_default/single.php:27
+#: xpress_default/single.php:40
 msgid "Pages:"
 msgstr "ページ:"
@@ -371,10 +370,10 @@
 #: xpress_default/image.php:25
 #: xpress_default/sidebar.php:24
-#: xpress_default/single.php:36
+#: xpress_default/single.php:49
 msgid "l, F jS, Y"
 msgstr "Y 年 n 月 j 日 l"
 
 #: xpress_default/image.php:27
-#: xpress_default/single.php:38
+#: xpress_default/single.php:51
 #, php-format
 msgid "You can follow any responses to this entry through the <a href='%s'>RSS 2.0</a> feed."
@@ -382,5 +381,5 @@
 
 #: xpress_default/image.php:31
-#: xpress_default/single.php:45
+#: xpress_default/single.php:58
 #, php-format
 msgid "You can <a href=\"#respond\">leave a response</a>, or <a href=\"%s\" rel=\"trackback\">trackback</a> from your own site."
@@ -388,5 +387,5 @@
 
 #: xpress_default/image.php:35
-#: xpress_default/single.php:49
+#: xpress_default/single.php:62
 #, php-format
 msgid "Responses are currently closed, but you can <a href=\"%s\" rel=\"trackback\">trackback</a> from your own site."
@@ -394,10 +393,10 @@
 
 #: xpress_default/image.php:39
-#: xpress_default/single.php:53
+#: xpress_default/single.php:66
 msgid "You can skip to the end and leave a response. Pinging is currently not allowed."
 msgstr "このページの一番下でコメントを残すことができます。トラックバック / ピンバックは現在受け付けていません。"
 
 #: xpress_default/image.php:43
-#: xpress_default/single.php:57
+#: xpress_default/single.php:70
 msgid "Both comments and pings are currently closed."
 msgstr "現在コメント、トラックバックともに受け付けておりません。"
@@ -409,13 +408,15 @@
 
 #: xpress_default/image.php:58
-#: xpress_default/single.php:71
+#: xpress_default/single.php:84
 msgid "Sorry, no posts matched your criteria."
 msgstr "該当する投稿は見つかりませんでした。"
 
 #: xpress_default/index.php:21
+#: xpress_default/single.php:16
 msgid "Mein Page"
 msgstr "メインページ"
 
 #: xpress_default/index.php:22
+#: xpress_default/single.php:17
 msgid "Post New"
 msgstr "新規投稿"
@@ -423,6 +424,4 @@
 #: xpress_default/index.php:31
 #: xpress_default/index.php:70
-#: xpress_default/search.php:27
-#: xpress_default/search.php:45
 msgid "&laquo; Older Entries"
 msgstr "&laquo; 前ページへ"
@@ -430,11 +429,9 @@
 #: xpress_default/index.php:32
 #: xpress_default/index.php:71
-#: xpress_default/search.php:28
-#: xpress_default/search.php:46
 msgid "Newer Entries &raquo;"
 msgstr "次ページへ &raquo;"
 
 #: xpress_default/index.php:42
-#: xpress_default/search.php:36
+#: xpress_default/single.php:33
 #, php-format
 msgid "Permanent Link to %s"
@@ -447,6 +444,5 @@
 
 #: xpress_default/index.php:56
-#: xpress_default/search.php:39
-#: xpress_default/single.php:28
+#: xpress_default/single.php:41
 #, php-format
 msgid "Posted in %s"
@@ -454,25 +450,20 @@
 
 #: xpress_default/index.php:58
-#: xpress_default/search.php:39
 msgid "Edit"
 msgstr "編集"
 
 #: xpress_default/index.php:59
-#: xpress_default/search.php:39
 msgid "No Comments &#187;"
 msgstr "コメントはまだありません &#187;"
 
 #: xpress_default/index.php:59
-#: xpress_default/search.php:39
 msgid "1 Comment &#187;"
 msgstr "1 件のコメント &#187;"
 
 #: xpress_default/index.php:59
-#: xpress_default/search.php:39
 msgid "% Comments &#187;"
 msgstr "% 件のコメント &#187;"
 
 #: xpress_default/index.php:59
-#: xpress_default/search.php:39
 msgid "Comments Closed"
 msgstr "コメントは受け付けていません。"
@@ -494,10 +485,89 @@
 msgstr "このページの続きを読む &raquo;"
 
-#: xpress_default/search.php:24
-msgid "Search Results"
-msgstr "検索結果"
-
-#: xpress_default/search.php:39
-#: xpress_default/single.php:28
+#: xpress_default/searchform.php:2
+msgid "Search for:"
+msgstr "検索:"
+
+#: xpress_default/searchform.php:4
+#: xpress_default/blocks/search_block_theme.php:13
+msgid "Search"
+msgstr "検索"
+
+#: xpress_default/sidebar.php:10
+msgid "Author"
+msgstr "作成者"
+
+#: xpress_default/sidebar.php:21
+#, php-format
+msgid "You are currently browsing the archives for the %s category."
+msgstr "%s カテゴリーのアーカイブを表示しています。"
+
+#: xpress_default/sidebar.php:24
+#, php-format
+msgid "You are currently browsing the <a href=\"%1$s/\">%2$s</a> blog archives for the day %3$s."
+msgstr "<a href=\"%1$s\">%2$s</a> ブログの %3$s のアーカイブを表示しています。"
+
+#: xpress_default/sidebar.php:27
+#, php-format
+msgid "You are currently browsing the <a href=\"%1$s/\">%2$s</a> blog archives for %3$s."
+msgstr "<a href=\"%1$s/\">%2$s</a> の %3$s のアーカイブを閲覧中です。"
+
+#: xpress_default/sidebar.php:27
+msgid "F, Y"
+msgstr "Y 年 n 月"
+
+#: xpress_default/sidebar.php:30
+#, php-format
+msgid "You are currently browsing the <a href=\"%1$s/\">%2$s</a> blog archives for the year %3$s."
+msgstr "<a href=\"%1$s\">%2$s</a> ブログの %3$s 年のアーカイブを表示しています。"
+
+#: xpress_default/sidebar.php:33
+#, php-format
+msgid "You have searched the <a href=\"%1$s/\">%2$s</a> blog archives for <strong>&#8216;%3$s&#8217;</strong>. If you are unable to find anything in these search results, you can try one of these links."
+msgstr "<a href=\"%1$s/\">%2$s</a> のアーカイブ内で<strong>&#8216;%3$s&#8217;</strong>を探しました。お探しのものが見つからない場合は他のリンクを試してみてください。"
+
+#: xpress_default/sidebar.php:36
+#, php-format
+msgid "You are currently browsing the <a href=\"%1$s/\">%2$s</a> blog archives."
+msgstr "<a href=\"%1$s/\">%2$s</a> ブログのアーカイブを閲覧中です。"
+
+#: xpress_default/sidebar.php:42
+msgid "Pages"
+msgstr "ページ"
+
+#: xpress_default/sidebar.php:44
+msgid "Archives"
+msgstr "アーカイブ"
+
+#: xpress_default/sidebar.php:51
+#: xpress_default/sidebar.php:53
+msgid "Categories"
+msgstr "カテゴリー"
+
+#: xpress_default/sidebar.php:62
+msgid "Meta"
+msgstr "メタ情報"
+
+#: xpress_default/sidebar.php:66
+msgid "This page validates as XHTML 1.0 Transitional"
+msgstr "このページが XHTML 1.0 Transitional に準拠しているか確認する"
+
+#: xpress_default/sidebar.php:66
+msgid "Valid <abbr title=\"eXtensible HyperText Markup Language\">XHTML</abbr>"
+msgstr "Valid <abbr title=\"eXtensible HyperText Markup Language\">XHTML</abbr>"
+
+#: xpress_default/sidebar.php:67
+msgid "XHTML Friends Network"
+msgstr "XHTML Friends Network"
+
+#: xpress_default/sidebar.php:67
+msgid "XFN"
+msgstr "XFN"
+
+#: xpress_default/sidebar.php:68
+msgid "Powered by WordPress, state-of-the-art semantic personal publishing platform."
+msgstr "Powered by WordPress, state-of-the-art semantic personal publishing platform."
+
+#: xpress_default/single.php:41
 #: xpress_default/blocks/popular_posts_block_theme.php:109
 #: xpress_default/blocks/recent_posts_content_block_theme.php:61
@@ -506,106 +576,18 @@
 msgstr "タグ:"
 
-#: xpress_default/search.php:51
-msgid "No posts found. Try a different search?"
-msgstr "見つかりませんでした。別の検索をしますか ?"
-
-#: xpress_default/searchform.php:2
-msgid "Search for:"
-msgstr "検索:"
-
-#: xpress_default/searchform.php:4
-#: xpress_default/blocks/search_block_theme.php:13
-msgid "Search"
-msgstr "検索"
-
-#: xpress_default/sidebar.php:10
-msgid "Author"
-msgstr "作成者"
-
-#: xpress_default/sidebar.php:21
-#, php-format
-msgid "You are currently browsing the archives for the %s category."
-msgstr "%s カテゴリーのアーカイブを表示しています。"
-
-#: xpress_default/sidebar.php:24
-#, php-format
-msgid "You are currently browsing the <a href=\"%1$s/\">%2$s</a> blog archives for the day %3$s."
-msgstr "<a href=\"%1$s\">%2$s</a> ブログの %3$s のアーカイブを表示しています。"
-
-#: xpress_default/sidebar.php:27
-#, php-format
-msgid "You are currently browsing the <a href=\"%1$s/\">%2$s</a> blog archives for %3$s."
-msgstr "<a href=\"%1$s/\">%2$s</a> の %3$s のアーカイブを閲覧中です。"
-
-#: xpress_default/sidebar.php:27
-msgid "F, Y"
-msgstr "Y 年 n 月"
-
-#: xpress_default/sidebar.php:30
-#, php-format
-msgid "You are currently browsing the <a href=\"%1$s/\">%2$s</a> blog archives for the year %3$s."
-msgstr "<a href=\"%1$s\">%2$s</a> ブログの %3$s 年のアーカイブを表示しています。"
-
-#: xpress_default/sidebar.php:33
-#, php-format
-msgid "You have searched the <a href=\"%1$s/\">%2$s</a> blog archives for <strong>&#8216;%3$s&#8217;</strong>. If you are unable to find anything in these search results, you can try one of these links."
-msgstr "<a href=\"%1$s/\">%2$s</a> のアーカイブ内で<strong>&#8216;%3$s&#8217;</strong>を探しました。お探しのものが見つからない場合は他のリンクを試してみてください。"
-
-#: xpress_default/sidebar.php:36
-#, php-format
-msgid "You are currently browsing the <a href=\"%1$s/\">%2$s</a> blog archives."
-msgstr "<a href=\"%1$s/\">%2$s</a> ブログのアーカイブを閲覧中です。"
-
-#: xpress_default/sidebar.php:42
-msgid "Pages"
-msgstr "ページ"
-
-#: xpress_default/sidebar.php:44
-msgid "Archives"
-msgstr "アーカイブ"
-
-#: xpress_default/sidebar.php:51
-#: xpress_default/sidebar.php:53
-msgid "Categories"
-msgstr "カテゴリー"
-
-#: xpress_default/sidebar.php:62
-msgid "Meta"
-msgstr "メタ情報"
-
-#: xpress_default/sidebar.php:66
-msgid "This page validates as XHTML 1.0 Transitional"
-msgstr "このページが XHTML 1.0 Transitional に準拠しているか確認する"
-
-#: xpress_default/sidebar.php:66
-msgid "Valid <abbr title=\"eXtensible HyperText Markup Language\">XHTML</abbr>"
-msgstr "Valid <abbr title=\"eXtensible HyperText Markup Language\">XHTML</abbr>"
-
-#: xpress_default/sidebar.php:67
-msgid "XHTML Friends Network"
-msgstr "XHTML Friends Network"
-
-#: xpress_default/sidebar.php:67
-msgid "XFN"
-msgstr "XFN"
-
-#: xpress_default/sidebar.php:68
-msgid "Powered by WordPress, state-of-the-art semantic personal publishing platform."
-msgstr "Powered by WordPress, state-of-the-art semantic personal publishing platform."
-
-#: xpress_default/single.php:36
+#: xpress_default/single.php:49
 #, php-format
 msgid "This entry was posted %1$s on %2$s at %3$s and is filed under %4$s."
 msgstr "この投稿は %1$s %2$s %3$s に %4$s カテゴリーに公開されました。"
 
-#: xpress_default/single.php:40
+#: xpress_default/single.php:53
 msgid "You can follow any responses to this entry through the"
 msgstr "この投稿へのコメントは"
 
-#: xpress_default/single.php:40
+#: xpress_default/single.php:53
 msgid "feed."
 msgstr "フィードで購読することができます。"
 
-#: xpress_default/single.php:59
+#: xpress_default/single.php:72
 msgid "Edit this entry"
 msgstr "この投稿を編集 "