Index: trunk/wp-content/themes/xpress_default/style.css
===================================================================
--- trunk/wp-content/themes/xpress_default/style.css	(revision 143)
+++ trunk/wp-content/themes/xpress_default/style.css	(revision 147)
@@ -67,5 +67,5 @@
 	margin: 0 auto;
 	padding: 5px 0;
-	text-align: center;
+	text-align: right;
 }
 
@@ -88,20 +88,73 @@
 
 }
+
+.xpress-post .xpress-link-pages {
+	padding-top:10px;
+	clear: both;
+	text-align: center;
+}
+
 .xpress-post .xpress-post-footer{
 	text-align: right;
 	font-size: 0.8em;
-}
-.xpress-comments-block {
-	margin: 5px 0 10px;
+	margin-bottom: 10px;
+}
+
+#xpress-comments-block {
+	margin-top: 5px;
+	margin-bottom: 5px;
+	margin-left: 5px;
+	margin-right: 5px;
 	padding-top:10px;
 	padding-left:20px;
-	padding-right:20px;
-	padding-bottom:30px;
-	clear: both;
-	}
-h2.xpress_comments {
-	padding: 0;
-	margin: 40px auto 20px ;
-	}
+	padding-right:5px;
+	padding-bottom:10px;
+	clear: both;
+	}
+#xpress_commentlist {
+	margin: 0px;
+	padding-left: 20px;
+	}
+
+#xpress_commentlist ol{
+	font-size: 1em;
+	list-style-image:none;
+	list-style-position:inside;
+	list-style-type:none;
+	}
+	
+#xpress_commentlist li{
+	margin: 0px;
+	padding-top: 5px;
+	padding-bottom: 100px;
+	padding-left: 5px;
+	padding-right: 1px;
+	font-size: 1em;
+	list-style-image:none;
+	list-style-position:inside;
+	list-style-type:none;
+	}
+	
+#xpress_commentlist .even {
+	background:#F4F4F4 none repeat scroll 0 0;
+	}
+
+#xpress_commentlist .odd {
+	background:#EFEFEF none repeat scroll 0 0;
+	}
+	
+#xpress_commentlist .avatar { 
+	float: right;
+	border: 1px solid #eee;
+	padding: 2px;
+	background: #efefef;
+	}
+
+#xpress_commentlist cite, .commentlist cite a {
+	font-weight: bold;
+	font-style: normal;
+	font-size: 1.1em;
+	}
+
 
 #xpress_footer {
@@ -110,4 +163,5 @@
 	width: 100%;
 	clear: both;
+	text-align: center;
 	}
 #xpress_footer .xpress_rss {
@@ -144,10 +198,4 @@
 	line-height: 1.2em;
 	font-size: 0.9em;
-	}
-
-#xpress_page .alt {
-	background-color: #f8f8f8;
-	border-top: 1px solid #000;
-	border-bottom: 1px solid #000;
 	}
 
@@ -179,33 +227,4 @@
 	font-size: 1.6em;
 	}
-	
-.xpress_commentlist li, #xpress_commentform input, #xpress_commentform textarea {
-	font-size: 11px;
-	}
-
-.xpress_commentlist li {
-	font-weight: bold;
-	list-style-type: none!important;
-	}
-
-.xpress_commentlist li .avatar { 
-	float: right;
-	border: 1px solid #eee;
-	padding: 2px;
-	background: #fff;
-	}
-
-.xpress_commentlist cite, .xpress_commentlist cite a {
-	font-weight: bold;
-	font-style: normal;
-	font-size: 1.1em;
-	}
-
-.xpress_commentlist p {
-	font-weight: normal;
-	line-height: 1.5em;
-	text-transform: none;
-	}
-
 .xpress_commentmetadata {
 	font-size: 11px;
@@ -266,14 +285,4 @@
 	padding:0;
 }
-
-
-#xpress_header {
-	margin:0 0 30px;
-	padding:0 2px 3px;
-	background:url(./images/titleline.jpg) no-repeat left bottom;
-	}
-
-
-
 	
 .widecolumn { 
@@ -327,22 +336,7 @@
 }
 
-
-
 #xpress_page .clear {
 	clear: both;
 }
-
-
-#xpress_footer p {
-	margin: 0;
-	padding: 0px 0;
-	text-align: center;
-	}
-	
-
-
-
-	
-
 
 .dateblock{
@@ -467,7 +461,4 @@
 	}
 
-#xpress_page ol li, .xpress_sidebar ul ol li {
-	list-style: decimal outside;
-	}
 
 .xpress_sidebar ul ul li, .xpress_sidebar ul ol li {
@@ -503,46 +494,41 @@
 	}
 	
-#xpress_commentform{
-	margin-top: 15px;
-	}
-
-#xpress_commentform input {
-	width: 170px;
-	padding: 2px;
-	margin: 1px 5px 1px 0;
-	}
-
-#xpress_commentform textarea {
-	width: 90%; /*500px-paddingª4px-borderª2px*/
-	padding: 2px;
-	}
-
-#xpress_commentform #xpress_submit {
-	margin: 0;
-	float: right;
-	}
-/* End Form Elements */
-
-
-
-/* Begin Comments*/
-.xpress_commentlist {
-	margin: 15px 0 20px;
-	padding: 0;
-	}
-
-.xpress_commentlist li {
-	margin: 0 0 3px;
-	padding: 5px 10px 3px;
-	list-style: none;
-	}
-
-.xpress_commentlist p {
-	margin: 10px 5px 10px 0;
-	}
-
-#xpress_commentform p {
-	padding: 0 0 1px;
-	}
+
+#xpress-respond {
+	margin: 0px;
+	padding-top: 10px;
+	padding-bottom: 5px;
+	padding-left: 0px;
+	padding-right: 0px;
+}
+
+#xpress-comment-user {
+	margin: 0px;
+	padding-top: 0px;
+	padding-bottom: 0px;
+	padding-left: 20px;
+	padding-right: 0px;
+}
+
+#xpress-comment-form {
+	margin: 0px;
+	padding-top: 0px;
+	padding-bottom: 0px;
+	padding-left: 20px;
+	padding-right: 5px;
+	font-size: 18px;
+
+}
+
+#xpress-comment-form .xpress-comment-submit{
+	margin: 0px;
+	padding-top: 5px;
+	padding-bottom: 0px;
+	padding-left: 0px;
+	padding-right: 0px;
+	font-size: 12px;
+
+}
+
 	
 .nocomments {
@@ -552,8 +538,4 @@
 	}
 
-.xpress_commentmetadata {
-	margin: 0;
-	display: block;
-	}
 /* End Comments */
 