Index: trunk/wp-content/themes/xpress_default/ja.po
===================================================================
--- trunk/wp-content/themes/xpress_default/ja.po	(revision 147)
+++ trunk/wp-content/themes/xpress_default/ja.po	(revision 150)
@@ -18,5 +18,5 @@
 "Report-Msgid-Bugs-To: wp-polyglots@lists.automattic.com\n"
 "POT-Creation-Date: 2008-08-15 21:16+0900\n"
-"PO-Revision-Date: 2009-04-01 16:55+0900\n"
+"PO-Revision-Date: 2009-04-02 18:19+0900\n"
 "Last-Translator: toemon <toychee@toemon.com>\n"
 "Language-Team: toemon <info@toemon.com>\n"
@@ -28,680 +28,637 @@
 "X-Poedit-SourceCharset: utf-8\n"
 "X-Poedit-KeywordsList: __;_e;_c\n"
-"X-Poedit-Basepath: C:\\XPressME_Ver2_SVN\\trunk\\wp-content\\themes\\\n"
+"X-Poedit-Basepath: C:\\XPressME_Ver2_SVN\\trunk\\wp-content\\themes\\xpress_default\n"
 "Plural-Forms: nplurals=1; plural=0;\n"
-"X-Poedit-SearchPath-0: xpress_default\n"
-
-#: xpress_default/404.php:22
+"X-Poedit-SearchPath-0: .\n"
+
+#: 404.php:22
 msgid "Error 404 - Not Found"
 msgstr "エラー 404 - 見つかりませんでした"
 
-#: xpress_default/archives.php:20
+#: archives.php:20
 msgid "Archives by Month:"
 msgstr "月別のアーカイブ:"
 
-#: xpress_default/archives.php:25
+#: archives.php:25
 msgid "Archives by Subject:"
 msgstr "カテゴリー別アーカイブ:"
 
-#: xpress_default/comments-popup.php:9
+#: comments-popup.php:9
 #, php-format
 msgid "%1$s - Comments on %2$s"
 msgstr "%1$s - %2$s へのコメント"
 
-#: xpress_default/comments-popup.php:22
+#: comments-popup.php:22
 msgid "Comments"
 msgstr "コメント"
 
-#: xpress_default/comments-popup.php:24
+#: comments-popup.php:24
 msgid "<abbr title=\"Really Simple Syndication\">RSS</abbr> feed for comments on this post."
 msgstr "このコメント欄の <abbr title=\"Really Simple Syndication\">RSS</abbr> フィード"
 
-#: xpress_default/comments-popup.php:27
+#: comments-popup.php:27
 #, php-format
 msgid "The <abbr title=\"Universal Resource Locator\">URL</abbr> to TrackBack this entry is: <em>%s</em>"
 msgstr "この投稿へのトラックバック <acronym title=\"Universal Resource Locator\">URL</acronym>: <em>%s</em>"
 
-#: xpress_default/comments-popup.php:45
+#: comments-popup.php:45
 msgid "Comment"
 msgstr "コメント"
 
-#: xpress_default/comments-popup.php:45
+#: comments-popup.php:45
 msgid "Trackback"
 msgstr "トラックバック"
 
-#: xpress_default/comments-popup.php:45
+#: comments-popup.php:45
 msgid "Pingback"
 msgstr "ピンバック"
 
-#: xpress_default/comments-popup.php:45
+#: comments-popup.php:45
 #, php-format
 msgid "by %1$s &#8212; %2$s @ <a href=\"#comment-%3$s\">%4$s</a>"
 msgstr "&#8212; %2$s @ <a href=\"#comment-%3$s\">%4$s</a>: %1$s より"
 
-#: xpress_default/comments-popup.php:51
+#: comments-popup.php:51
 msgid "No comments yet."
 msgstr "コメントはまだありません。"
 
-#: xpress_default/comments-popup.php:55
+#: comments-popup.php:55
 msgid "Leave a comment"
 msgstr "コメントをどうぞ"
 
-#: xpress_default/comments-popup.php:56
+#: comments-popup.php:56
 #, php-format
 msgid "Line and paragraph breaks automatic, e-mail address never displayed, <acronym title=\"Hypertext Markup Language\">HTML</acronym> allowed: <code>%s</code>"
 msgstr "改行と段落タグは自動で挿入されます。メールアドレスは表示されません。利用可能な <acronym title=\"Hypertext Markup Language\">HTML</acronym> タグ: <code>%s</code>"
 
-#: xpress_default/comments-popup.php:60
+#: comments-popup.php:60
 #, php-format
 msgid "Logged in as <a href=\"%1$s\">%2$s</a>. <a href=\"%3$s\" title=\"Log out of this account\">Log out &raquo;</a>"
 msgstr "<a href=\"%1$s\">%2$s</a> としてログイン中。<a href=\"%3$s\" title=\"このアカウントからログアウトする\">ログアウト &raquo;</a>"
 
-#: xpress_default/comments-popup.php:64
-#: xpress_default/comments.php:95
+#: comments-popup.php:64
+#: comments.php:55
 msgid "Name"
 msgstr "お名前"
 
-#: xpress_default/comments-popup.php:71
+#: comments-popup.php:71
 msgid "E-mail"
 msgstr "メールアドレス"
 
-#: xpress_default/comments-popup.php:76
+#: comments-popup.php:76
 msgid "<abbr title=\"Universal Resource Locator\">URL</abbr>"
 msgstr "<abbr title=\"Universal Resource Locator\">URL</abbr>"
 
-#: xpress_default/comments-popup.php:81
+#: comments-popup.php:81
 msgid "Your Comment"
 msgstr "コメント"
 
-#: xpress_default/comments-popup.php:87
+#: comments-popup.php:87
 msgid "Say It!"
 msgstr "送信する !"
 
-#: xpress_default/comments-popup.php:92
+#: comments-popup.php:92
 msgid "Sorry, the comment form is closed at this time."
 msgstr "コメントフォームは現在閉鎖中です。"
 
-#: xpress_default/comments-popup.php:97
+#: comments-popup.php:97
 msgid "Close this window."
 msgstr "このウインドウを閉じる。"
 
-#: xpress_default/comments-popup.php:105
+#: comments-popup.php:105
 #, php-format
 msgid "Powered by <a href=\"%s\" title=\"Powered by WordPress, state-of-the-art semantic personal publishing platform\"><strong>WordPress</strong></a>"
 msgstr "Powered by <a href=\"%s\" title=\"Powered by WordPress, state-of-the-art semantic personal publishing platform\"><strong>WordPress</strong></a>"
 
-#: xpress_default/comments.php:9
+#: comments.php:6
 msgid "This post is password protected. Enter the password to view comments."
 msgstr "この投稿はパスワードで保護されています。コメントを閲覧するにはパスワードを入力してください。"
 
-#: xpress_default/comments.php:23
+#: comments.php:16
 msgid "No Responses"
 msgstr "コメント はありません"
 
-#: xpress_default/comments.php:23
+#: comments.php:16
 msgid "One Response"
 msgstr "コメント 1 件"
 
-#: xpress_default/comments.php:23
+#: comments.php:16
 msgid "% Responses"
 msgstr "コメント % 件"
 
-#: xpress_default/comments.php:23
+#: comments.php:16
 #, php-format
 msgid "to &#8220;%s&#8221;"
 msgstr "<!-- to &#8220;%s&#8221; -->"
 
-#: xpress_default/comments.php:39
-#, php-format
-msgid "<cite>%s</cite> Says:"
-msgstr "<cite>%s</cite> より: "
-
-#: xpress_default/comments.php:41
-msgid "Your comment is awaiting moderation."
-msgstr "コメントは管理者の承認待ちです。"
-
-#: xpress_default/comments.php:45
-#, php-format
-msgid "%1$s at %2$s"
-msgstr "%1$s %2$s"
-
-#: xpress_default/comments.php:45
-msgid "F jS, Y"
-msgstr "Y 年 n 月 j 日"
-
-#: xpress_default/comments.php:45
-msgid "edit"
-msgstr "編集"
-
-#: xpress_default/comments.php:67
-msgid "Comments are closed."
-msgstr "コメントは受け付けていません。"
-
-#: xpress_default/comments.php:75
+#: comments.php:39
 msgid "Leave a Reply"
 msgstr "コメントをどうぞ"
 
-#: xpress_default/comments.php:75
+#: comments.php:39
+#, php-format
 msgid "Leave a Reply for %s"
 msgstr "%s にコメントする"
 
-#: xpress_default/comments.php:83
+#: comments.php:47
 #, php-format
 msgid "You must be <a href=\"%s\">logged in</a> to post a comment."
 msgstr "コメントを投稿するには<a href=\"%s\">ログイン</a>してください。"
 
-#: xpress_default/comments.php:90
+#: comments.php:52
 #, php-format
 msgid "Logged in as <a href=\"%1$s\">%2$s</a>."
 msgstr "<a href=\"%1$s\">%2$s</a> としてログイン中。"
 
-#: xpress_default/comments.php:90
+#: comments.php:52
 msgid "Log out of this account"
 msgstr "このアカウントからログアウト"
 
-#: xpress_default/comments.php:90
+#: comments.php:52
 msgid "Log out &raquo;"
 msgstr "ログアウト &raquo;"
 
-#: xpress_default/comments.php:95
-#: xpress_default/comments.php:98
+#: comments.php:55
+#: comments.php:58
 msgid "(required)"
 msgstr " (必須)"
 
-#: xpress_default/comments.php:98
+#: comments.php:58
 msgid "Mail (will not be published)"
 msgstr "メールアドレス (公開されません)"
 
-#: xpress_default/comments.php:101
+#: comments.php:61
 msgid "Website"
 msgstr "ウェブサイト"
 
-#: xpress_default/comments.php:105
+#: comments.php:66
 #, php-format
 msgid "<strong>XHTML:</strong> You can use these tags: <code>%s</code>"
 msgstr "<strong>XHTML:</strong> 次のタグを使用できます: <code>%s</code>"
 
-#: xpress_default/comments.php:109
+#: comments.php:70
 msgid "Submit Comment"
 msgstr "コメント送信"
 
-#: xpress_default/footer.php:3
+#: footer.php:3
 #, php-format
 msgid "%1$s and %2$s."
 msgstr "%1$s と %2$s"
 
-#: xpress_default/footer.php:3
+#: footer.php:3
 msgid "Entries (RSS)"
 msgstr "投稿 (RSS)"
 
-#: xpress_default/footer.php:3
+#: footer.php:3
 msgid "Comments (RSS)"
 msgstr "コメント (RSS)"
 
-#: xpress_default/footer.php:5
+#: footer.php:5
 #, php-format
 msgid "%d queries. %s seconds."
 msgstr "%d 個のクエリと %s 秒を要しました。"
 
-#: xpress_default/functions.php:149
+#: functions.php:149
 msgid "Customize Header"
 msgstr "ヘッダーのカスタマイズ"
 
-#: xpress_default/functions.php:149
-#: xpress_default/functions.php:363
+#: functions.php:149
+#: functions.php:363
 msgid "Header Image and Color"
 msgstr "ヘッダーの背景と文字の色"
 
-#: xpress_default/functions.php:162
+#: functions.php:162
 msgid "Close Color Picker"
 msgstr "カラーピッカーを閉じる"
 
-#: xpress_default/functions.php:359
+#: functions.php:359
 msgid "Options saved."
 msgstr "設定を保存しました。"
 
-#: xpress_default/functions.php:376
-#: xpress_default/functions.php:383
+#: functions.php:376
+#: functions.php:383
 msgid "Save"
 msgstr "保存"
 
-#: xpress_default/functions.php:377
+#: functions.php:377
 msgid "Font Color:"
 msgstr "フォントの色:"
 
-#: xpress_default/functions.php:377
+#: functions.php:377
 #, php-format
 msgid "Any CSS color (%s or %s or %s)"
 msgstr "CSS 色指定 (%s 、%s もしくは %s)"
 
-#: xpress_default/functions.php:378
+#: functions.php:378
 msgid "Upper Color:"
 msgstr "グラデーション上側の色:"
 
-#: xpress_default/functions.php:378
-#: xpress_default/functions.php:379
+#: functions.php:378
+#: functions.php:379
 #, php-format
 msgid "HEX only (%s or %s)"
 msgstr "16 進数のみ (%s もしくは %s)"
 
-#: xpress_default/functions.php:379
+#: functions.php:379
 msgid "Lower Color:"
 msgstr "グラデーション下側の色:"
 
-#: xpress_default/functions.php:381
+#: functions.php:381
 msgid "Toggle Text"
 msgstr "テキスト表示の切替え"
 
-#: xpress_default/functions.php:382
+#: functions.php:382
 msgid "Use Defaults"
 msgstr "デフォルト設定に戻す"
 
-#: xpress_default/functions.php:391
+#: functions.php:391
 msgid "Font Color"
 msgstr "フォントの色"
 
-#: xpress_default/functions.php:392
+#: functions.php:392
 msgid "Upper Color"
 msgstr "グラデーション上側の色"
 
-#: xpress_default/functions.php:393
+#: functions.php:393
 msgid "Lower Color"
 msgstr "グラデーション下側の色"
 
-#: xpress_default/functions.php:394
+#: functions.php:394
 msgid "Revert"
 msgstr "取り消し"
 
-#: xpress_default/functions.php:395
+#: functions.php:395
 msgid "Advanced"
 msgstr "詳細"
 
-#: xpress_default/functions.php:402
+#: functions.php:402
 msgid "Update Header &raquo;"
 msgstr "ヘッダーを更新 &raquo;"
 
-#: xpress_default/functions.php:408
+#: functions.php:408
 msgid "Font Color (CSS):"
 msgstr "フォントの色 (CSS):"
 
-#: xpress_default/functions.php:409
+#: functions.php:409
 msgid "Upper Color (HEX):"
 msgstr "グラデーション上側の色 (16 進数):"
 
-#: xpress_default/functions.php:410
+#: functions.php:410
 msgid "Lower Color (HEX):"
 msgstr "グラデーション下側の色 (16 進数):"
 
-#: xpress_default/functions.php:411
+#: functions.php:411
 msgid "Select Default Colors"
 msgstr "デフォルト設定に戻す"
 
-#: xpress_default/functions.php:412
+#: functions.php:412
 msgid "Toggle Text Display"
 msgstr "テキスト表示の切替え"
 
-#: xpress_default/header.php:9
+#: header.php:9
 msgid "&raquo; Blog Archive"
 msgstr "&raquo; ブログアーカイブ"
 
-#: xpress_default/header.php:14
+#: header.php:14
 #, php-format
 msgid "%s RSS Feed"
 msgstr "%s RSS フィード"
 
-#: xpress_default/header.php:15
+#: header.php:15
 #, php-format
 msgid "%s Atom Feed"
 msgstr "%s Atom フィード"
 
-#: xpress_default/image.php:13
-#: xpress_default/index.php:46
-#: xpress_default/single.php:38
+#: image.php:13
+#: index.php:48
+#: single.php:43
 msgid "Read the rest of this entry &raquo;"
 msgstr "この投稿の続きを読む &raquo;"
 
-#: xpress_default/image.php:15
-#: xpress_default/page.php:29
-#: xpress_default/single.php:40
+#: image.php:15
+#: page.php:29
 msgid "Pages:"
 msgstr "ページ:"
 
-#: xpress_default/image.php:25
+#: image.php:25
 #, php-format
 msgid "This entry was posted on %1$s at %2$s and is filed under %3$s."
 msgstr "この投稿は %1$s %2$s に %3$s カテゴリーに公開されました。"
 
-#: xpress_default/image.php:25
-#: xpress_default/sidebar.php:24
-#: xpress_default/single.php:49
+#: image.php:25
+#: sidebar.php:24
 msgid "l, F jS, Y"
 msgstr "Y 年 n 月 j 日 l"
 
-#: xpress_default/image.php:27
-#: xpress_default/single.php:51
+#: image.php:27
 #, php-format
 msgid "You can follow any responses to this entry through the <a href='%s'>RSS 2.0</a> feed."
 msgstr "この投稿へのコメントは <a href='%s'>RSS 2.0</a> フィードで購読することができます。"
 
-#: xpress_default/image.php:31
-#: xpress_default/single.php:58
+#: image.php:31
 #, php-format
 msgid "You can <a href=\"#respond\">leave a response</a>, or <a href=\"%s\" rel=\"trackback\">trackback</a> from your own site."
 msgstr "<a href=\"#respond\">コメントを残すか</a>、ご自分のサイトから<a href=\"%s\" rel=\"trackback\">トラックバック</a>することができます。"
 
-#: xpress_default/image.php:35
-#: xpress_default/single.php:62
+#: image.php:35
 #, php-format
 msgid "Responses are currently closed, but you can <a href=\"%s\" rel=\"trackback\">trackback</a> from your own site."
 msgstr "現在コメントは受け付けておりませんが、ご自分のサイトから<a href=\"%s\" rel=\"trackback\">トラックバック</a>を送ることはできます。"
 
-#: xpress_default/image.php:39
-#: xpress_default/single.php:66
+#: image.php:39
 msgid "You can skip to the end and leave a response. Pinging is currently not allowed."
 msgstr "このページの一番下でコメントを残すことができます。トラックバック / ピンバックは現在受け付けていません。"
 
-#: xpress_default/image.php:43
-#: xpress_default/single.php:70
+#: image.php:43
 msgid "Both comments and pings are currently closed."
 msgstr "現在コメント、トラックバックともに受け付けておりません。"
 
-#: xpress_default/image.php:45
-#: xpress_default/page.php:34
+#: image.php:45
+#: page.php:34
 msgid "Edit this entry."
 msgstr "この投稿を編集する。"
 
-#: xpress_default/image.php:58
-#: xpress_default/single.php:84
+#: image.php:58
+#: single.php:81
 msgid "Sorry, no posts matched your criteria."
 msgstr "該当する投稿は見つかりませんでした。"
 
-#: xpress_default/index.php:21
-#: xpress_default/single.php:16
+#: index.php:14
+#: single.php:14
 msgid "Mein Page"
 msgstr "メインページ"
 
-#: xpress_default/index.php:22
-#: xpress_default/single.php:17
+#: index.php:15
+#: single.php:15
 msgid "Post New"
 msgstr "新規投稿"
 
-#: xpress_default/index.php:31
-#: xpress_default/index.php:70
-msgid "&laquo; Older Entries"
-msgstr "&laquo; 前ページへ"
-
-#: xpress_default/index.php:32
-#: xpress_default/index.php:71
-msgid "Newer Entries &raquo;"
-msgstr "次ページへ &raquo;"
-
-#: xpress_default/index.php:42
-#: xpress_default/single.php:33
+#: index.php:44
+#: single.php:38
 #, php-format
 msgid "Permanent Link to %s"
 msgstr "%s のパーマリンク"
 
-#: xpress_default/index.php:53
+#: index.php:56
+#: single.php:53
 #, php-format
 msgid "Views :%d"
 msgstr "閲覧 :%d"
 
-#: xpress_default/index.php:56
-#: xpress_default/single.php:41
+#: index.php:59
+#: single.php:56
 #, php-format
 msgid "Posted in %s"
 msgstr "カテゴリー: %s"
 
-#: xpress_default/index.php:58
+#: index.php:61
+#: single.php:58
 msgid "Edit"
 msgstr "編集"
 
-#: xpress_default/index.php:59
+#: index.php:62
+#: single.php:59
 msgid "No Comments &#187;"
 msgstr "コメントはまだありません &#187;"
 
-#: xpress_default/index.php:59
+#: index.php:62
+#: single.php:59
 msgid "1 Comment &#187;"
 msgstr "1 件のコメント &#187;"
 
-#: xpress_default/index.php:59
+#: index.php:62
+#: single.php:59
 msgid "% Comments &#187;"
 msgstr "% 件のコメント &#187;"
 
-#: xpress_default/index.php:59
+#: index.php:62
+#: single.php:59
 msgid "Comments Closed"
 msgstr "コメントは受け付けていません。"
 
-#: xpress_default/index.php:77
+#: index.php:80
 msgid "Not Found"
 msgstr "見つかりませんでした。"
 
-#: xpress_default/index.php:78
+#: index.php:81
 msgid "Sorry, but you are looking for something that isn&#8217;t here."
 msgstr "お探しの物はここにはありません。"
 
-#: xpress_default/links.php:18
+#: links.php:18
 msgid "Links:"
 msgstr "リンク:"
 
-#: xpress_default/page.php:27
+#: page.php:27
 msgid "Read the rest of this page &raquo;"
 msgstr "このページの続きを読む &raquo;"
 
-#: xpress_default/searchform.php:2
+#: searchform.php:2
 msgid "Search for:"
 msgstr "検索:"
 
-#: xpress_default/searchform.php:4
-#: xpress_default/blocks/search_block_theme.php:13
+#: searchform.php:4
+#: blocks/search_block_theme.php:13
 msgid "Search"
 msgstr "検索"
 
-#: xpress_default/sidebar.php:10
+#: sidebar.php:10
 msgid "Author"
 msgstr "作成者"
 
-#: xpress_default/sidebar.php:21
+#: sidebar.php:21
 #, php-format
 msgid "You are currently browsing the archives for the %s category."
 msgstr "%s カテゴリーのアーカイブを表示しています。"
 
-#: xpress_default/sidebar.php:24
+#: sidebar.php:24
 #, php-format
 msgid "You are currently browsing the <a href=\"%1$s/\">%2$s</a> blog archives for the day %3$s."
 msgstr "<a href=\"%1$s\">%2$s</a> ブログの %3$s のアーカイブを表示しています。"
 
-#: xpress_default/sidebar.php:27
+#: sidebar.php:27
 #, php-format
 msgid "You are currently browsing the <a href=\"%1$s/\">%2$s</a> blog archives for %3$s."
 msgstr "<a href=\"%1$s/\">%2$s</a> の %3$s のアーカイブを閲覧中です。"
 
-#: xpress_default/sidebar.php:27
+#: sidebar.php:27
 msgid "F, Y"
 msgstr "Y 年 n 月"
 
-#: xpress_default/sidebar.php:30
+#: sidebar.php:30
 #, php-format
 msgid "You are currently browsing the <a href=\"%1$s/\">%2$s</a> blog archives for the year %3$s."
 msgstr "<a href=\"%1$s\">%2$s</a> ブログの %3$s 年のアーカイブを表示しています。"
 
-#: xpress_default/sidebar.php:33
+#: sidebar.php:33
 #, php-format
 msgid "You have searched the <a href=\"%1$s/\">%2$s</a> blog archives for <strong>&#8216;%3$s&#8217;</strong>. If you are unable to find anything in these search results, you can try one of these links."
 msgstr "<a href=\"%1$s/\">%2$s</a> のアーカイブ内で<strong>&#8216;%3$s&#8217;</strong>を探しました。お探しのものが見つからない場合は他のリンクを試してみてください。"
 
-#: xpress_default/sidebar.php:36
+#: sidebar.php:36
 #, php-format
 msgid "You are currently browsing the <a href=\"%1$s/\">%2$s</a> blog archives."
 msgstr "<a href=\"%1$s/\">%2$s</a> ブログのアーカイブを閲覧中です。"
 
-#: xpress_default/sidebar.php:42
+#: sidebar.php:42
 msgid "Pages"
 msgstr "ページ"
 
-#: xpress_default/sidebar.php:44
+#: sidebar.php:44
 msgid "Archives"
 msgstr "アーカイブ"
 
-#: xpress_default/sidebar.php:51
-#: xpress_default/sidebar.php:53
+#: sidebar.php:51
+#: sidebar.php:53
 msgid "Categories"
 msgstr "カテゴリー"
 
-#: xpress_default/sidebar.php:62
+#: sidebar.php:62
 msgid "Meta"
 msgstr "メタ情報"
 
-#: xpress_default/sidebar.php:66
+#: sidebar.php:66
 msgid "This page validates as XHTML 1.0 Transitional"
 msgstr "このページが XHTML 1.0 Transitional に準拠しているか確認する"
 
-#: xpress_default/sidebar.php:66
+#: sidebar.php:66
 msgid "Valid <abbr title=\"eXtensible HyperText Markup Language\">XHTML</abbr>"
 msgstr "Valid <abbr title=\"eXtensible HyperText Markup Language\">XHTML</abbr>"
 
-#: xpress_default/sidebar.php:67
+#: sidebar.php:67
 msgid "XHTML Friends Network"
 msgstr "XHTML Friends Network"
 
-#: xpress_default/sidebar.php:67
+#: sidebar.php:67
 msgid "XFN"
 msgstr "XFN"
 
-#: xpress_default/sidebar.php:68
+#: sidebar.php:68
 msgid "Powered by WordPress, state-of-the-art semantic personal publishing platform."
 msgstr "Powered by WordPress, state-of-the-art semantic personal publishing platform."
 
-#: xpress_default/single.php:41
-#: xpress_default/blocks/popular_posts_block_theme.php:109
-#: xpress_default/blocks/recent_posts_content_block_theme.php:61
-#: xpress_default/blocks/recent_posts_list_block_theme.php:56
+#: single.php:64
+msgid "No Trackback/Pingback"
+msgstr "トラックバック・ピンバックはありません"
+
+#: single.php:64
+msgid "One Trackback/Pingback"
+msgstr "トラックバック・ピンバック 1 件"
+
+#: single.php:64
+msgid "% TrackBack/Pingback"
+msgstr "トラックバック・ピンバック % 件"
+
+#: blocks/archives_block_theme.php:13
+msgid "Select Yearly"
+msgstr "年を選択"
+
+#: blocks/archives_block_theme.php:16
+#: blocks/archives_block_theme.php:28
+msgid "Select Monthly"
+msgstr "月を選択"
+
+#: blocks/archives_block_theme.php:19
+msgid "Select Weekly"
+msgstr "週を選択"
+
+#: blocks/archives_block_theme.php:22
+msgid "Select Daily"
+msgstr "日を選択"
+
+#: blocks/archives_block_theme.php:25
+msgid "Select Post"
+msgstr "記事を選択"
+
+#: blocks/calender_block_theme.php:71
+msgid "Calendar"
+msgstr "カレンダー"
+
+#: blocks/calender_block_theme.php:72
+#, php-format
+msgid "%1$s %2$s|Used as a calendar caption"
+msgstr "%2$s 年 %1$s|カレンダーのキャプションに使われます"
+
+#: blocks/calender_block_theme.php:104
+#: blocks/calender_block_theme.php:114
+#, php-format
+msgid "View posts for %1$s %2$s"
+msgstr "%2$s 年 %1$s の投稿を表示"
+
+#: blocks/enhanced_block_theme.php:11
+msgid "The include file name to display it is not set."
+msgstr "表示を行うためのインクルードファイル名が設定されていません。"
+
+#: blocks/enhanced_block_theme.php:13
+#, php-format
+msgid "File %s not exist."
+msgstr "ファイル %s が見つかりません。"
+
+#: blocks/enhanced_block_theme.php:19
+msgid "PHP code error"
+msgstr "PHPコードにエラーがあります。"
+
+#: blocks/meta_block_theme.php:24
+msgid "Posts RSS"
+msgstr "投稿の RSS"
+
+#: blocks/meta_block_theme.php:27
+msgid "Comments RSS"
+msgstr "コメント のRSS"
+
+#: blocks/meta_block_theme.php:39
+msgid "Add New"
+msgstr "新規投稿"
+
+#: blocks/meta_block_theme.php:47
+msgid "Site Admin"
+msgstr "WordPress管理"
+
+#: blocks/meta_block_theme.php:53
+msgid "User Profile"
+msgstr "ユーザープロファイル"
+
+#: blocks/meta_block_theme.php:61
+#: blocks/meta_block_theme.php:66
+msgid "Subscription management"
+msgstr "メール購読の設定"
+
+#: blocks/meta_block_theme.php:74
+msgid "ReadMe"
+msgstr "ReadMe表示"
+
+#: blocks/meta_block_theme.php:79
+msgid "Themes"
+msgstr "テーマ選択"
+
+#: blocks/popular_posts_block_theme.php:114
+#: blocks/recent_posts_content_block_theme.php:62
+#: blocks/recent_posts_list_block_theme.php:60
 msgid "Tags:"
 msgstr "タグ:"
 
-#: xpress_default/single.php:49
-#, php-format
-msgid "This entry was posted %1$s on %2$s at %3$s and is filed under %4$s."
-msgstr "この投稿は %1$s %2$s %3$s に %4$s カテゴリーに公開されました。"
-
-#: xpress_default/single.php:53
-msgid "You can follow any responses to this entry through the"
-msgstr "この投稿へのコメントは"
-
-#: xpress_default/single.php:53
-msgid "feed."
-msgstr "フィードで購読することができます。"
-
-#: xpress_default/single.php:72
-msgid "Edit this entry"
-msgstr "この投稿を編集 "
-
-#: xpress_default/blocks/archives_block_theme.php:13
-msgid "Select Yearly"
-msgstr "年を選択"
-
-#: xpress_default/blocks/archives_block_theme.php:16
-#: xpress_default/blocks/archives_block_theme.php:28
-msgid "Select Monthly"
-msgstr "月を選択"
-
-#: xpress_default/blocks/archives_block_theme.php:19
-msgid "Select Weekly"
-msgstr "週を選択"
-
-#: xpress_default/blocks/archives_block_theme.php:22
-msgid "Select Daily"
-msgstr "日を選択"
-
-#: xpress_default/blocks/archives_block_theme.php:25
-msgid "Select Post"
-msgstr "記事を選択"
-
-#: xpress_default/blocks/calender_block_theme.php:71
-msgid "Calendar"
-msgstr "カレンダー"
-
-#: xpress_default/blocks/calender_block_theme.php:72
-#, php-format
-msgid "%1$s %2$s|Used as a calendar caption"
-msgstr "%2$s 年 %1$s|カレンダーのキャプションに使われます"
-
-#: xpress_default/blocks/calender_block_theme.php:104
-#: xpress_default/blocks/calender_block_theme.php:114
-#, php-format
-msgid "View posts for %1$s %2$s"
-msgstr "%2$s 年 %1$s の投稿を表示"
-
-#: xpress_default/blocks/enhanced_block_theme.php:11
-msgid "The include file name to display it is not set."
-msgstr "表示を行うためのインクルードファイル名が設定されていません。"
-
-#: xpress_default/blocks/enhanced_block_theme.php:13
-#, php-format
-msgid "File %s not exist."
-msgstr "ファイル %s が見つかりません。"
-
-#: xpress_default/blocks/enhanced_block_theme.php:19
-msgid "PHP code error"
-msgstr "PHPコードにエラーがあります。"
-
-#: xpress_default/blocks/meta_block_theme.php:24
-msgid "Posts RSS"
-msgstr "投稿の RSS"
-
-#: xpress_default/blocks/meta_block_theme.php:27
-msgid "Comments RSS"
-msgstr "コメント のRSS"
-
-#: xpress_default/blocks/meta_block_theme.php:39
-msgid "Add New"
-msgstr "新規投稿"
-
-#: xpress_default/blocks/meta_block_theme.php:47
-msgid "Site Admin"
-msgstr "WordPress管理"
-
-#: xpress_default/blocks/meta_block_theme.php:53
-msgid "User Profile"
-msgstr "ユーザープロファイル"
-
-#: xpress_default/blocks/meta_block_theme.php:61
-#: xpress_default/blocks/meta_block_theme.php:66
-msgid "Subscription management"
-msgstr "メール購読の設定"
-
-#: xpress_default/blocks/meta_block_theme.php:74
-msgid "ReadMe"
-msgstr "ReadMe表示"
-
-#: xpress_default/blocks/meta_block_theme.php:79
-msgid "Themes"
-msgstr "テーマ選択"
-
-#: xpress_default/blocks/popular_posts_block_theme.php:135
-#: xpress_default/blocks/recent_posts_content_block_theme.php:93
-#: xpress_default/blocks/recent_posts_list_block_theme.php:82
+#: blocks/popular_posts_block_theme.php:140
+#: blocks/recent_posts_content_block_theme.php:97
+#: blocks/recent_posts_list_block_theme.php:86
 msgid "Comments (0)"
 msgstr "コメントはありません"
 
-#: xpress_default/blocks/popular_posts_block_theme.php:135
-#: xpress_default/blocks/recent_posts_content_block_theme.php:93
-#: xpress_default/blocks/recent_posts_list_block_theme.php:82
+#: blocks/popular_posts_block_theme.php:140
+#: blocks/recent_posts_content_block_theme.php:97
+#: blocks/recent_posts_list_block_theme.php:86
 msgid "Comments (1)"
 msgstr "1件のコメント"
 
-#: xpress_default/blocks/popular_posts_block_theme.php:135
-#: xpress_default/blocks/recent_posts_content_block_theme.php:93
-#: xpress_default/blocks/recent_posts_list_block_theme.php:82
+#: blocks/popular_posts_block_theme.php:140
+#: blocks/recent_posts_content_block_theme.php:97
+#: blocks/recent_posts_list_block_theme.php:86
 msgid "Comments (%)"
 msgstr "Comments (%)"
 
-#: xpress_default/blocks/recent_comments_block_theme.php:71
+#: blocks/recent_comments_block_theme.php:73
 #, fuzzy, php-format
 msgid "%1$s on %2$s"
 msgstr "%1$s と %2$s"
 
-#: xpress_default/blocks/recent_posts_content_block_theme.php:66
-#: xpress_default/blocks/recent_posts_content_block_theme.php:68
+#: blocks/recent_posts_content_block_theme.php:72
 msgid "more"
 msgstr "続きを読む"