Index: trunk/wp-content/themes/xpress_default/ja.po
===================================================================
--- trunk/wp-content/themes/xpress_default/ja.po	(revision 163)
+++ trunk/wp-content/themes/xpress_default/ja.po	(revision 176)
@@ -18,5 +18,5 @@
 "Report-Msgid-Bugs-To: wp-polyglots@lists.automattic.com\n"
 "POT-Creation-Date: 2008-08-15 21:16+0900\n"
-"PO-Revision-Date: 2009-04-07 08:50+0900\n"
+"PO-Revision-Date: 2009-04-11 14:12+0900\n"
 "Last-Translator: toemon <toychee@toemon.com>\n"
 "Language-Team: toemon <info@toemon.com>\n"
@@ -98,5 +98,5 @@
 
 #: comments-popup.php:64
-#: comments.php:55
+#: comments.php:54
 msgid "Name"
 msgstr "お名前"
@@ -152,67 +152,71 @@
 msgstr "<!-- to &#8220;%s&#8221; -->"
 
-#: comments.php:39
+#: comments.php:32
+msgid "Comments are closed."
+msgstr "現在コメントは受け付けていません。"
+
+#: comments.php:38
 msgid "Leave a Reply"
 msgstr "コメントをどうぞ"
 
-#: comments.php:39
+#: comments.php:38
 #, php-format
 msgid "Leave a Reply for %s"
 msgstr "%s にコメントする"
 
-#: comments.php:47
+#: comments.php:46
 #, php-format
 msgid "You must be <a href=\"%s\">logged in</a> to post a comment."
 msgstr "コメントを投稿するには<a href=\"%s\">ログイン</a>してください。"
 
-#: comments.php:52
+#: comments.php:51
 #, php-format
 msgid "Logged in as <a href=\"%1$s\">%2$s</a>."
 msgstr "<a href=\"%1$s\">%2$s</a> としてログイン中。"
 
-#: comments.php:52
+#: comments.php:51
 msgid "Log out of this account"
 msgstr "このアカウントからログアウト"
 
-#: comments.php:52
+#: comments.php:51
 msgid "Log out &raquo;"
 msgstr "ログアウト &raquo;"
 
-#: comments.php:55
-#: comments.php:58
+#: comments.php:54
+#: comments.php:57
 msgid "(required)"
 msgstr " (必須)"
 
-#: comments.php:58
+#: comments.php:57
 msgid "Mail (will not be published)"
 msgstr "メールアドレス (公開されません)"
 
-#: comments.php:61
+#: comments.php:60
 msgid "Website"
 msgstr "ウェブサイト"
 
-#: comments.php:66
+#: comments.php:65
 #, php-format
 msgid "<strong>XHTML:</strong> You can use these tags: <code>%s</code>"
 msgstr "<strong>XHTML:</strong> 次のタグを使用できます: <code>%s</code>"
 
-#: comments.php:70
+#: comments.php:69
 msgid "Submit Comment"
 msgstr "コメント送信"
 
-#: footer.php:3
+#: footer.php:5
 #, php-format
 msgid "%1$s and %2$s."
 msgstr "%1$s と %2$s"
 
-#: footer.php:3
+#: footer.php:5
 msgid "Entries (RSS)"
 msgstr "投稿 (RSS)"
 
-#: footer.php:3
+#: footer.php:5
 msgid "Comments (RSS)"
 msgstr "コメント (RSS)"
 
-#: footer.php:5
+#: footer.php:7
 #, php-format
 msgid "%d queries. %s seconds."
@@ -330,7 +334,15 @@
 msgstr "%s Atom フィード"
 
+#: header.php:43
+msgid "Mein Page"
+msgstr "メインページ"
+
+#: header.php:44
+msgid "Post New"
+msgstr "新規投稿"
+
 #: image.php:13
-#: index.php:48
-#: single.php:43
+#: index.php:32
+#: single.php:28
 msgid "Read the rest of this entry &raquo;"
 msgstr "この投稿の続きを読む &raquo;"
@@ -380,66 +392,64 @@
 
 #: image.php:58
-#: single.php:81
+#: single.php:85
 msgid "Sorry, no posts matched your criteria."
 msgstr "該当する投稿は見つかりませんでした。"
 
-#: index.php:14
-#: single.php:14
-msgid "Mein Page"
-msgstr "メインページ"
-
-#: index.php:15
-#: single.php:15
-msgid "Post New"
-msgstr "新規投稿"
-
-#: index.php:44
-#: single.php:38
+#: index.php:28
+#: single.php:23
+#: blocks/recent_posts_content_block_theme.php:111
 #, php-format
 msgid "Permanent Link to %s"
 msgstr "%s のパーマリンク"
 
-#: index.php:56
-#: single.php:53
+#: index.php:40
+#: single.php:38
+#: blocks/recent_posts_content_block_theme.php:133
 #, php-format
 msgid "Views :%d"
 msgstr "閲覧 :%d"
 
-#: index.php:59
-#: single.php:56
+#: index.php:43
+#: single.php:41
+#: blocks/recent_posts_content_block_theme.php:136
 #, php-format
 msgid "Posted in %s"
 msgstr "カテゴリー: %s"
 
-#: index.php:61
-#: single.php:58
+#: index.php:45
+#: single.php:43
+#: blocks/recent_posts_content_block_theme.php:138
 msgid "Edit"
 msgstr "編集"
 
-#: index.php:62
-#: single.php:59
+#: index.php:46
+#: single.php:44
+#: blocks/recent_posts_content_block_theme.php:139
 msgid "No Comments &#187;"
 msgstr "コメントはまだありません &#187;"
 
-#: index.php:62
-#: single.php:59
+#: index.php:46
+#: single.php:44
+#: blocks/recent_posts_content_block_theme.php:139
 msgid "1 Comment &#187;"
 msgstr "1 件のコメント &#187;"
 
-#: index.php:62
-#: single.php:59
+#: index.php:46
+#: single.php:44
+#: blocks/recent_posts_content_block_theme.php:139
 msgid "% Comments &#187;"
 msgstr "% 件のコメント &#187;"
 
-#: index.php:62
-#: single.php:59
+#: index.php:46
+#: single.php:44
+#: blocks/recent_posts_content_block_theme.php:139
 msgid "Comments Closed"
 msgstr "コメントは受け付けていません。"
 
-#: index.php:80
+#: index.php:64
 msgid "Not Found"
 msgstr "見つかりませんでした。"
 
-#: index.php:81
+#: index.php:65
 msgid "Sorry, but you are looking for something that isn&#8217;t here."
 msgstr "お探しの物はここにはありません。"
@@ -537,15 +547,24 @@
 msgstr "Powered by WordPress, state-of-the-art semantic personal publishing platform."
 
-#: single.php:64
+#: single.php:49
 msgid "No Trackback/Pingback"
 msgstr "トラックバック・ピンバックはありません"
 
-#: single.php:64
+#: single.php:49
 msgid "One Trackback/Pingback"
 msgstr "トラックバック・ピンバック 1 件"
 
-#: single.php:64
+#: single.php:49
 msgid "% TrackBack/Pingback"
 msgstr "トラックバック・ピンバック % 件"
+
+#: single.php:53
+#, php-format
+msgid "You can <a href=\"%s\" rel=\"trackback\">trackback</a> from your own site."
+msgstr "ご自分のサイトから<a href=\"%s\" rel=\"trackback\">トラックバック</a>を送ることができます。"
+
+#: single.php:55
+msgid "Pinging is currently not allowed."
+msgstr "トラックバック / ピンバックは現在受け付けていません。"
 
 #: blocks/archives_block_theme.php:13
@@ -636,5 +655,5 @@
 
 #: blocks/popular_posts_block_theme.php:109
-#: blocks/recent_posts_content_block_theme.php:68
+#: blocks/recent_posts_content_block_theme.php:65
 #: blocks/recent_posts_list_block_theme.php:67
 msgid "Tags:"
@@ -642,5 +661,5 @@
 
 #: blocks/popular_posts_block_theme.php:135
-#: blocks/recent_posts_content_block_theme.php:103
+#: blocks/recent_posts_content_block_theme.php:100
 #: blocks/recent_posts_list_block_theme.php:93
 msgid "Comments (0)"
@@ -648,5 +667,5 @@
 
 #: blocks/popular_posts_block_theme.php:135
-#: blocks/recent_posts_content_block_theme.php:103
+#: blocks/recent_posts_content_block_theme.php:100
 #: blocks/recent_posts_list_block_theme.php:93
 msgid "Comments (1)"
@@ -654,5 +673,5 @@
 
 #: blocks/popular_posts_block_theme.php:135
-#: blocks/recent_posts_content_block_theme.php:103
+#: blocks/recent_posts_content_block_theme.php:100
 #: blocks/recent_posts_list_block_theme.php:93
 msgid "Comments (%)"
@@ -669,5 +688,6 @@
 msgstr "%1$s と %2$s"
 
-#: blocks/recent_posts_content_block_theme.php:78
+#: blocks/recent_posts_content_block_theme.php:75
+#: blocks/recent_posts_content_block_theme.php:122
 msgid "more"
 msgstr "続きを読む"