Index: trunk/xpressme_integration_kit/wp-content/plugins/xpressme/language/xpressme-ja.po
===================================================================
--- trunk/wp-content/plugins/xpressme/language/xpressme-ja.po	(revision 155)
+++ trunk/xpressme_integration_kit/wp-content/plugins/xpressme/language/xpressme-ja.po	(revision 232)
@@ -3,5 +3,5 @@
 "Project-Id-Version: XPressME Plugin\n"
 "POT-Creation-Date: \n"
-"PO-Revision-Date: 2009-04-04 18:30+0900\n"
+"PO-Revision-Date: 2009-05-20 16:34+0900\n"
 "Last-Translator: toemon <toychee@toemon.com>\n"
 "Language-Team: \n"
@@ -15,359 +15,427 @@
 "X-Poedit-SearchPath-0: .\n"
 
-#: xpressme_class.php:43
+#: xpressme_class.php:46
 msgid "XPressME Settings"
 msgstr "XPressME設定"
 
-#: xpressme_class.php:60
-#: xpressme_class.php:206
+#: xpressme_class.php:63
+#: xpressme_class.php:214
 msgid "Older Post"
 msgstr "前の投稿へ"
 
-#: xpressme_class.php:61
-#: xpressme_class.php:208
+#: xpressme_class.php:64
+#: xpressme_class.php:216
 msgid "Newer Post"
 msgstr "次の投稿へ"
 
-#: xpressme_class.php:63
-#: xpressme_class.php:211
+#: xpressme_class.php:66
+#: xpressme_class.php:219
 msgid "Older Entries"
 msgstr "前ページへ"
 
-#: xpressme_class.php:64
-#: xpressme_class.php:213
+#: xpressme_class.php:67
+#: xpressme_class.php:221
 msgid "Newer Entries"
 msgstr "次ページへ"
 
-#: xpressme_class.php:78
+#: xpressme_class.php:81
 msgid "more"
 msgstr "続きを読む"
 
-#: xpressme_class.php:264
-#: xpressme_class.php:280
-#: xpressme_class.php:648
-#: xpressme_class.php:653
-#: xpressme_class.php:659
-#: xpressme_class.php:670
-#: xpressme_class.php:675
+#: xpressme_class.php:276
+#: xpressme_class.php:292
+#: xpressme_class.php:726
+#: xpressme_class.php:731
+#: xpressme_class.php:737
+#: xpressme_class.php:748
+#: xpressme_class.php:754
 msgid "YES"
 msgstr "はい"
 
-#: xpressme_class.php:265
-#: xpressme_class.php:281
-#: xpressme_class.php:649
-#: xpressme_class.php:654
-#: xpressme_class.php:660
-#: xpressme_class.php:671
-#: xpressme_class.php:676
+#: xpressme_class.php:277
+#: xpressme_class.php:293
+#: xpressme_class.php:727
+#: xpressme_class.php:732
+#: xpressme_class.php:738
+#: xpressme_class.php:749
+#: xpressme_class.php:755
 msgid "NO"
 msgstr "いいえ"
 
-#: xpressme_class.php:323
+#: xpressme_class.php:335
 msgid "Single Post Navi Setting"
 msgstr "シングルポストナビの設定"
 
-#: xpressme_class.php:328
-#: xpressme_class.php:373
+#: xpressme_class.php:340
+#: xpressme_class.php:385
 msgid "Adjustment of Navi link display position"
 msgstr "リンクの表示位置設定"
 
-#: xpressme_class.php:331
+#: xpressme_class.php:343
 msgid "'Old Post Link' is displayed in the left, and 'Newer Post Link' is displayed in the right"
 msgstr "以前の記事へのリンクを左に、より新しい記事へのリンクを右に表示"
 
-#: xpressme_class.php:332
+#: xpressme_class.php:344
 msgid "'Newer Post Link' is displayed in the left, and 'Old Post Link' is displayed in the right"
 msgstr "より新しい記事へのリンクを左に、古い記事へのリンクを右に表示"
 
-#: xpressme_class.php:338
+#: xpressme_class.php:350
 msgid "Select Display name of PostNavi Link"
 msgstr "表示するリンクテキストを選択"
 
-#: xpressme_class.php:341
+#: xpressme_class.php:353
 msgid "Title of post"
 msgstr "投稿記事のタイトルを表示"
 
-#: xpressme_class.php:342
+#: xpressme_class.php:354
 msgid "Title of Navi"
 msgstr "ナビタイトルを表示"
 
-#: xpressme_class.php:348
+#: xpressme_class.php:360
 msgid "Display Navi Title of Old Post Link"
 msgstr "古い記事へのナビタイトルを設定"
 
-#: xpressme_class.php:355
+#: xpressme_class.php:367
 msgid "Display Navi Title of Newer Post Link"
 msgstr "より新しい記事へのナビタイトルを設定"
 
-#: xpressme_class.php:368
+#: xpressme_class.php:380
 msgid "Posts List Page Navi Setting"
 msgstr "ポストリストページナビの設定"
 
-#: xpressme_class.php:376
+#: xpressme_class.php:388
 msgid "'Old Page Link' is displayed in the left, and 'Newer Page Link' is displayed in the right"
 msgstr "古いページへのリンクを左に、より新しいページへのリンクを右に表示"
 
-#: xpressme_class.php:377
+#: xpressme_class.php:389
 msgid "'Newer Page Link' is displayed in the left, and 'Old Page Link' is displayed in the right"
 msgstr "より新しいページへのリンクを左に、古いページへのリンクを右に表示"
 
-#: xpressme_class.php:383
+#: xpressme_class.php:395
 msgid "Display Navi Title of Old Page Link"
 msgstr "古いページへのナビタイトルを設定"
 
-#: xpressme_class.php:390
+#: xpressme_class.php:402
 msgid "Display Navi Title of Newer Page Link"
 msgstr "より新しいページへのナビタイトルを設定"
 
-#: xpressme_class.php:405
+#: xpressme_class.php:417
 msgid "Role Setting at Login"
 msgstr "ログイン時の権限設定"
 
-#: xpressme_class.php:408
+#: xpressme_class.php:420
 msgid "XOOPS Groupe"
 msgstr "XOOPSグループ名"
 
-#: xpressme_class.php:408
+#: xpressme_class.php:420
 msgid "WordPress Role"
 msgstr "WordPressでの権限"
 
-#: xpressme_class.php:408
+#: xpressme_class.php:420
 msgid "Role is set at each login"
 msgstr "ログイン時、常に権限を更新する"
 
-#: xpressme_class.php:434
-#: xpressme_class.php:438
-#: xpressme_class.php:441
+#: xpressme_class.php:446
+#: xpressme_class.php:450
+#: xpressme_class.php:453
 msgid "Default Role of WordPress"
 msgstr "WordPressのデフォルト権限"
 
-#: xpressme_class.php:435
-#: xpressme_class.php:439
-#: xpressme_class.php:442
+#: xpressme_class.php:447
+#: xpressme_class.php:451
+#: xpressme_class.php:454
 msgid "Group User Doesn't Register"
 msgstr "ユーザ登録しない"
 
-#: xpressme_class.php:471
+#: xpressme_class.php:485
+msgid "WordPress MU cannot integrate the comments."
+msgstr "WordPress MUはコメント統合できません。"
+
+#: xpressme_class.php:487
 msgid "Do Not Comment Integration."
 msgstr "コメント統合しません。"
 
-#: xpressme_class.php:505
+#: xpressme_class.php:522
 msgid "Comment integration with D3Forum"
 msgstr "D3Forumとのコメント統合"
 
-#: xpressme_class.php:507
+#: xpressme_class.php:524
 msgid "Select the forum of D3Forum that does the comment integration from the following lists."
 msgstr "以下のリストからコメント統合をするD3Forumのフォーラムを選択してください。"
 
-#: xpressme_class.php:511
+#: xpressme_class.php:528
 msgid "Select the Type of display of D3Forum comment."
 msgstr "D3Forumの表示タイプを選択"
 
-#: xpressme_class.php:513
-#: xpressme_class.php:516
+#: xpressme_class.php:530
+#: xpressme_class.php:533
 msgid "Flat"
 msgstr "フラット"
 
-#: xpressme_class.php:514
-#: xpressme_class.php:517
+#: xpressme_class.php:531
+#: xpressme_class.php:534
 msgid "Threaded"
 msgstr "スレッド"
 
-#: xpressme_class.php:520
+#: xpressme_class.php:537
 msgid "Select the order of display of D3Forum comment."
 msgstr "D3Forumコメントの表示順を選択"
 
-#: xpressme_class.php:522
-#: xpressme_class.php:525
+#: xpressme_class.php:539
+#: xpressme_class.php:542
 msgid "DESC"
 msgstr "降順"
 
-#: xpressme_class.php:523
-#: xpressme_class.php:526
+#: xpressme_class.php:540
+#: xpressme_class.php:543
 msgid "ASC"
 msgstr "昇順"
 
-#: xpressme_class.php:529
+#: xpressme_class.php:546
 msgid "Number of displays of D3Forum comments."
 msgstr "D3Forumのコメント表示数"
 
-#: xpressme_class.php:533
+#: xpressme_class.php:550
 msgid "The import and the export between Wordpress Comments and the D3Forum Posts can be done. "
 msgstr "WordPressコメントとD3Forumポスト間の一括転送（エクスポート・インポート）"
 
-#: xpressme_class.php:534
+#: xpressme_class.php:551
 msgid "Export to D3Forum"
 msgstr "D3Forumへ一括エクスポート"
 
-#: xpressme_class.php:535
+#: xpressme_class.php:552
 msgid "Import from D3Forum"
 msgstr "D3Forumから一括インポート"
 
-#: xpressme_class.php:547
+#: xpressme_class.php:564
 msgid "Contents Excerpt Setting"
 msgstr "記事抜粋の設定"
 
-#: xpressme_class.php:552
+#: xpressme_class.php:569
 msgid "Is the excerpt display done with the archive of contents?"
 msgstr "記事のアーカイブで抜粋表示を行いますか？"
 
-#: xpressme_class.php:559
+#: xpressme_class.php:576
 msgid "When ASCII character more than the set ratio is included, it is judged ASCII contents. "
 msgstr "ASCII文字が含まれる比率が設定された値より大きい場合、ASCII文字コンテンツと判断します。"
 
-#: xpressme_class.php:566
+#: xpressme_class.php:583
 msgid "Excerpt length of word for ASCII contents"
 msgstr "ASCIIコンテンツの抜粋単語数"
 
-#: xpressme_class.php:573
+#: xpressme_class.php:590
 msgid "Excerpt length of character for multibyte contents"
 msgstr "マルチバイトコンテンツの抜粋文字数"
 
-#: xpressme_class.php:580
+#: xpressme_class.php:597
 msgid "More Link Text (Is not displayed for the blank.)"
 msgstr "Moreリンクテキスト（ブランクの場合リンクを表示しません。）"
 
-#: xpressme_class.php:592
+#: xpressme_class.php:609
 msgid "Display Mode Setting"
 msgstr "表示モード設定"
 
-#: xpressme_class.php:595
+#: xpressme_class.php:612
 msgid "Select the XPressME Display Mode."
 msgstr "XPressMEの表示モードの選択"
 
-#: xpressme_class.php:600
+#: xpressme_class.php:617
 msgid "Xoops Mode"
 msgstr "XOOPSモード"
 
-#: xpressme_class.php:604
+#: xpressme_class.php:621
 msgid "WordPress Mode"
 msgstr "WordPressモード"
 
-#: xpressme_class.php:608
+#: xpressme_class.php:625
 msgid "User select"
 msgstr "ユーザによる選択"
 
-#: xpressme_class.php:637
+#: xpressme_class.php:635
+msgid "Header Meta Option"
+msgstr "ヘッダメタ　オプション"
+
+#: xpressme_class.php:640
+msgid "Select the Header keyword."
+msgstr "ヘッダで使用するキーワードの選択"
+
+#: xpressme_class.php:645
+msgid "Xoops KeyWord"
+msgstr "XOOPSのキーワード"
+
+#: xpressme_class.php:648
+msgid "WordPress KeyWord"
+msgstr "WordPressのキーワード"
+
+#: xpressme_class.php:651
+msgid "WordPress & Xoops KeyWord"
+msgstr "WordPressｊとXOOPSのキーワード"
+
+#: xpressme_class.php:657
+msgid "Select the Header Description."
+msgstr "ヘッダで使用するディスクリプション（説明）の選択"
+
+#: xpressme_class.php:662
+msgid "Xoops Description"
+msgstr "XOOPSのディスクリプション"
+
+#: xpressme_class.php:665
+msgid "WordPress Description"
+msgstr "WordPressのディスクリプション"
+
+#: xpressme_class.php:668
+msgid "WordPress & Xoops Description"
+msgstr "WordPressとXOOPSのディスクリプション"
+
+#: xpressme_class.php:674
+msgid "Select the Header Robots Index."
+msgstr "ヘッダで使用するロボットインデックスの選択"
+
+#: xpressme_class.php:679
+msgid "Xoops Robots Index"
+msgstr "XOOPSのロボットインデックス"
+
+#: xpressme_class.php:682
+msgid "WordPress Robots Index"
+msgstr "WordPressのロボットインデックス"
+
+#: xpressme_class.php:715
 msgid "XPressME Configuration Page"
 msgstr "XPressMEの設定ページ"
 
-#: xpressme_class.php:642
+#: xpressme_class.php:720
 msgid "Media Upload Base Path"
 msgstr "メディアアップロードのベースパス設定"
 
-#: xpressme_class.php:643
+#: xpressme_class.php:721
 msgid "Use XOOPS UPLOAD PATH"
 msgstr "XOOPSのアップロードパスを使用する。"
 
-#: xpressme_class.php:644
+#: xpressme_class.php:722
 msgid "USE WordPress BASE_PATH"
 msgstr "WordPressのベースパスを使用する。"
 
-#: xpressme_class.php:647
+#: xpressme_class.php:725
 msgid "Thema Sidebar Display"
 msgstr "テーマ表示時にサイドバー表示する。"
 
-#: xpressme_class.php:652
+#: xpressme_class.php:730
 msgid "The change tracking of the post is preserved"
 msgstr "投稿の変更履歴を有効にする。"
 
-#: xpressme_class.php:658
+#: xpressme_class.php:736
 msgid "Select Multi user mode"
 msgstr "マルチユーザーモードを選択"
 
-#: xpressme_class.php:669
+#: xpressme_class.php:747
 msgid "Is the posts author views counted?"
 msgstr "投稿者の閲覧をカウントしますか？"
 
-#: xpressme_class.php:674
+#: xpressme_class.php:753
 msgid "Is SQL debugging window displayed?"
 msgstr "SQLデバッグウィンドを表示しますか？"
 
-#: xpressme_class.php:686
+#: xpressme_class.php:765
 msgid "Update Config"
 msgstr "更新"
 
-#: xpressme_class.php:687
+#: xpressme_class.php:766
 msgid "Preset Config"
 msgstr "プリセット"
 
-#: include/custom_functions.php:258
+#: include/custom_functions.php:20
+#, php-format
+msgid "Permanent Link to %s"
+msgstr "%sのパーマリンク"
+
+#: include/custom_functions.php:343
 #, php-format
 msgid "views :%d"
 msgstr "閲覧数 :%d"
 
-#: include/custom_functions.php:376
+#: include/custom_functions.php:461
 msgid "Main"
 msgstr "メイン"
 
-#: include/custom_functions.php:378
+#: include/custom_functions.php:464
 #, php-format
 msgid "Archive for the &#8216;%s&#8217; Category"
 msgstr "カテゴリー &#8216;%s&#8217; のアーカイブ"
 
-#: include/custom_functions.php:380
+#: include/custom_functions.php:466
 #, php-format
 msgid "Posts Tagged &#8216;%s&#8217;"
 msgstr "&#8216;%s&#8217; タグのついている投稿"
 
-#: include/custom_functions.php:382
+#: include/custom_functions.php:468
 #, php-format
 msgid "Archive for %s|Daily archive page"
 msgstr "%sの日別アーカイブ"
 
-#: include/custom_functions.php:382
+#: include/custom_functions.php:468
 msgid "F jS, Y"
 msgstr "Y年n月j日"
 
-#: include/custom_functions.php:384
+#: include/custom_functions.php:470
 #, php-format
 msgid "Archive for %s|Monthly archive page"
 msgstr "%sの月別アーカイブ"
 
-#: include/custom_functions.php:384
+#: include/custom_functions.php:470
 msgid "F, Y"
 msgstr "Y年n月"
 
-#: include/custom_functions.php:386
+#: include/custom_functions.php:472
 #, php-format
 msgid "Archive for %s|Yearly archive page"
 msgstr "%sの年別アーカイブ "
 
-#: include/custom_functions.php:386
+#: include/custom_functions.php:472
 msgid "Y"
 msgstr "Y年"
 
-#: include/custom_functions.php:389
+#: include/custom_functions.php:475
 #, php-format
 msgid "Archive for the &#8216;%s&#8217; Author"
 msgstr "投稿者 &#8216;%s&#8217; のアーカイブ"
 
-#: include/custom_functions.php:392
+#: include/custom_functions.php:478
 #, php-format
 msgid "Search Results of word &#8216;%s&#8217;"
 msgstr "&#8216;%s&#8217; の検索結果"
 
-#: include/custom_functions.php:395
+#: include/custom_functions.php:484
+#: include/custom_functions.php:486
 #, php-format
 msgid "Article of %s"
 msgstr "%sの記事"
 
-#: include/custom_functions.php:410
+#: include/custom_functions.php:501
 #, php-format
 msgid "From %1$s on site %2$s"
 msgstr "サイト %2$s の %1$s より"
 
-#: include/custom_functions.php:433
+#: include/custom_functions.php:524
 #, fuzzy
 msgid "% TrackBack/Pingback"
 msgstr "トラックバック・ピンバック % 件"
 
-#: include/custom_functions.php:435
+#: include/custom_functions.php:526
 msgid "No Trackback/Pingback"
 msgstr "トラックバック・ピンバックはありません"
 
-#: include/custom_functions.php:437
+#: include/custom_functions.php:528
 msgid "One Trackback/Pingback"
 msgstr "トラックバック・ピンバック 1 件"
+
+#: include/custom_functions.php:638
+msgid "Calendar"
+msgstr "カレンダー"
+
+#: include/custom_functions.php:671
+#: include/custom_functions.php:681
+#, php-format
+msgid "View posts for %1$s %2$s"
+msgstr ""
 
 #: include/xpress_common_functions.php:202