Index: trunk/xpressme_integration_kit/wp-content/themes/xpress_default/ja.po
===================================================================
--- trunk/xpressme_integration_kit/wp-content/themes/xpress_default/ja.po	(revision 232)
+++ trunk/xpressme_integration_kit/wp-content/themes/xpress_default/ja.po	(revision 255)
@@ -16,7 +16,7 @@
 msgstr ""
 "Project-Id-Version: XPress_Default_themes\n"
-"Report-Msgid-Bugs-To: wp-polyglots@lists.automattic.com\n"
-"POT-Creation-Date: 2008-08-15 21:16+0900\n"
-"PO-Revision-Date: 2009-05-20 17:57+0900\n"
+"Report-Msgid-Bugs-To: \n"
+"POT-Creation-Date: 2009-06-05 16:58+0900\n"
+"PO-Revision-Date: 2009-06-05 17:02+0900\n"
 "Last-Translator: toemon <toychee@toemon.com>\n"
 "Language-Team: toemon <info@toemon.com>\n"
@@ -98,5 +98,5 @@
 
 #: comments-popup.php:64
-#: comments.php:54
+#: comments.php:92
 msgid "Name"
 msgstr "お名前"
@@ -135,71 +135,102 @@
 msgstr "この投稿はパスワードで保護されています。コメントを閲覧するにはパスワードを入力してください。"
 
-#: comments.php:16
+#: comments.php:17
+#: comments.php:38
 msgid "No Responses"
 msgstr "コメント はありません"
 
-#: comments.php:16
+#: comments.php:17
+#: comments.php:38
 msgid "One Response"
 msgstr "コメント 1 件"
 
-#: comments.php:16
+#: comments.php:17
+#: comments.php:38
 msgid "% Responses"
 msgstr "コメント % 件"
 
-#: comments.php:16
+#: comments.php:17
+#: comments.php:38
 #, php-format
 msgid "to &#8220;%s&#8221;"
 msgstr "<!-- to &#8220;%s&#8221; -->"
 
-#: comments.php:32
+#: comments.php:33
+#: comments.php:63
 msgid "Comments are closed."
 msgstr "現在コメントは受け付けていません。"
 
-#: comments.php:38
+#: comments.php:43
+#, php-format
+msgid "<cite>%s</cite> Says:"
+msgstr "<cite>%s</cite> より:"
+
+#: comments.php:45
+msgid "Your comment is awaiting moderation."
+msgstr "コメントは承認待ちです。"
+
+#: comments.php:48
+#, fuzzy, php-format
+msgid "%1$s at %2$s"
+msgstr "%1$s と %2$s"
+
+#: comments.php:48
+#, fuzzy
+msgid "F jS, Y"
+msgstr "Y 年 n 月 j 日 l"
+
+#: comments.php:48
+msgid "Comment Edit"
+msgstr "編集"
+
+#: comments.php:70
 msgid "Leave a Reply"
 msgstr "コメントをどうぞ"
 
-#: comments.php:38
+#: comments.php:70
 #, php-format
 msgid "Leave a Reply for %s"
 msgstr "%s にコメントする"
 
-#: comments.php:46
+#: comments.php:80
 #, php-format
 msgid "You must be <a href=\"%s\">logged in</a> to post a comment."
 msgstr "コメントを投稿するには<a href=\"%s\">ログイン</a>してください。"
 
-#: comments.php:51
+#: comments.php:86
+#: comments.php:88
 #, php-format
 msgid "Logged in as <a href=\"%1$s\">%2$s</a>."
 msgstr "<a href=\"%1$s\">%2$s</a> としてログイン中。"
 
-#: comments.php:51
+#: comments.php:86
+#: comments.php:88
 msgid "Log out of this account"
 msgstr "このアカウントからログアウト"
 
-#: comments.php:51
+#: comments.php:86
+#: comments.php:88
 msgid "Log out &raquo;"
 msgstr "ログアウト &raquo;"
 
-#: comments.php:54
-#: comments.php:57
+#: comments.php:92
+#: comments.php:95
 msgid "(required)"
 msgstr " (必須)"
 
-#: comments.php:57
+#: comments.php:95
 msgid "Mail (will not be published)"
 msgstr "メールアドレス (公開されません)"
 
-#: comments.php:60
+#: comments.php:98
 msgid "Website"
 msgstr "ウェブサイト"
 
-#: comments.php:65
+#: comments.php:103
 #, php-format
 msgid "<strong>XHTML:</strong> You can use these tags: <code>%s</code>"
 msgstr "<strong>XHTML:</strong> 次のタグを使用できます: <code>%s</code>"
 
-#: comments.php:69
+#: comments.php:107
 msgid "Submit Comment"
 msgstr "コメント送信"
@@ -334,19 +365,19 @@
 msgstr "%s Atom フィード"
 
-#: header.php:43
+#: header.php:44
 msgid "Main Page"
 msgstr "メインページ"
 
-#: header.php:43
+#: header.php:46
 msgid "Blogs Home"
 msgstr "ブログのホーム"
 
-#: header.php:44
+#: header.php:47
 msgid "Post New"
 msgstr "新規投稿"
 
 #: image.php:13
-#: index.php:32
-#: single.php:28
+#: index.php:36
+#: single.php:32
 msgid "Read the rest of this entry &raquo;"
 msgstr "この投稿の続きを読む &raquo;"
@@ -396,64 +427,58 @@
 
 #: image.php:58
-#: single.php:85
+#: single.php:94
 msgid "Sorry, no posts matched your criteria."
 msgstr "該当する投稿は見つかりませんでした。"
 
-#: index.php:28
-#: single.php:23
-#: blocks/recent_posts_content_block_theme.php:111
+#: index.php:29
+#: index.php:31
+#: single.php:24
+#: single.php:26
 #, php-format
 msgid "Permanent Link to %s"
 msgstr "%s のパーマリンク"
 
-#: index.php:40
-#: single.php:38
-#: blocks/recent_posts_content_block_theme.php:133
+#: index.php:44
+#: single.php:42
 #, php-format
 msgid "Views :%d"
 msgstr "閲覧 :%d"
 
-#: index.php:43
-#: single.php:41
-#: blocks/recent_posts_content_block_theme.php:136
+#: index.php:47
+#: single.php:45
 #, php-format
 msgid "Posted in %s"
 msgstr "カテゴリー: %s"
 
-#: index.php:45
-#: single.php:43
-#: blocks/recent_posts_content_block_theme.php:138
+#: index.php:49
+#: single.php:47
 msgid "Edit"
 msgstr "編集"
 
-#: index.php:46
-#: single.php:44
-#: blocks/recent_posts_content_block_theme.php:139
+#: index.php:50
+#: single.php:48
 msgid "No Comments &#187;"
 msgstr "コメントはまだありません &#187;"
 
-#: index.php:46
-#: single.php:44
-#: blocks/recent_posts_content_block_theme.php:139
+#: index.php:50
+#: single.php:48
 msgid "1 Comment &#187;"
 msgstr "1 件のコメント &#187;"
 
-#: index.php:46
-#: single.php:44
-#: blocks/recent_posts_content_block_theme.php:139
+#: index.php:50
+#: single.php:48
 msgid "% Comments &#187;"
 msgstr "% 件のコメント &#187;"
 
-#: index.php:46
-#: single.php:44
-#: blocks/recent_posts_content_block_theme.php:139
+#: index.php:50
+#: single.php:48
 msgid "Comments Closed"
 msgstr "コメントは受け付けていません。"
 
-#: index.php:64
+#: index.php:68
 msgid "Not Found"
 msgstr "見つかりませんでした。"
 
-#: index.php:65
+#: index.php:69
 msgid "Sorry, but you are looking for something that isn&#8217;t here."
 msgstr "お探しの物はここにはありません。"
@@ -471,6 +496,5 @@
 msgstr "検索:"
 
-#: searchform.php:4
-#: blocks/search_block_theme.php:13
+#: searchform.php:8
 msgid "Search"
 msgstr "検索"
@@ -551,22 +575,22 @@
 msgstr "Powered by WordPress, state-of-the-art semantic personal publishing platform."
 
-#: single.php:49
+#: single.php:53
 msgid "No Trackback/Pingback"
 msgstr "トラックバック・ピンバックはありません"
 
-#: single.php:49
+#: single.php:53
 msgid "One Trackback/Pingback"
 msgstr "トラックバック・ピンバック 1 件"
 
-#: single.php:49
+#: single.php:53
 msgid "% TrackBack/Pingback"
 msgstr "トラックバック・ピンバック % 件"
 
-#: single.php:53
+#: single.php:57
 #, php-format
 msgid "You can <a href=\"%s\" rel=\"trackback\">trackback</a> from your own site."
 msgstr "ご自分のサイトから<a href=\"%s\" rel=\"trackback\">トラックバック</a>を送ることができます。"
 
-#: single.php:55
+#: single.php:59
 msgid "Pinging is currently not allowed."
 msgstr "トラックバック / ピンバックは現在受け付けていません。"
@@ -596,19 +620,4 @@
 msgid "All Authors"
 msgstr "全ての投稿者"
-
-#: blocks/calender_block_theme.php:71
-msgid "Calendar"
-msgstr "カレンダー"
-
-#: blocks/calender_block_theme.php:72
-#, php-format
-msgid "%1$s %2$s|Used as a calendar caption"
-msgstr "%2$s 年 %1$s|カレンダーのキャプションに使われます"
-
-#: blocks/calender_block_theme.php:104
-#: blocks/calender_block_theme.php:114
-#, php-format
-msgid "View posts for %1$s %2$s"
-msgstr "%2$s 年 %1$s の投稿を表示"
 
 #: blocks/enhanced_block_theme.php:11
@@ -665,5 +674,5 @@
 
 #: blocks/popular_posts_block_theme.php:135
-#: blocks/recent_posts_content_block_theme.php:100
+#: blocks/recent_posts_content_block_theme.php:102
 #: blocks/recent_posts_list_block_theme.php:93
 msgid "Comments (0)"
@@ -671,5 +680,5 @@
 
 #: blocks/popular_posts_block_theme.php:135
-#: blocks/recent_posts_content_block_theme.php:100
+#: blocks/recent_posts_content_block_theme.php:102
 #: blocks/recent_posts_list_block_theme.php:93
 msgid "Comments (1)"
@@ -677,5 +686,5 @@
 
 #: blocks/popular_posts_block_theme.php:135
-#: blocks/recent_posts_content_block_theme.php:100
+#: blocks/recent_posts_content_block_theme.php:102
 #: blocks/recent_posts_list_block_theme.php:93
 msgid "Comments (%)"
@@ -693,6 +702,12 @@
 
 #: blocks/recent_posts_content_block_theme.php:75
-#: blocks/recent_posts_content_block_theme.php:122
 msgid "more"
 msgstr "続きを読む"
 
+#~ msgid "Calendar"
+#~ msgstr "カレンダー"
+#~ msgid "%1$s %2$s|Used as a calendar caption"
+#~ msgstr "%2$s 年 %1$s|カレンダーのキャプションに使われます"
+#~ msgid "View posts for %1$s %2$s"
+#~ msgstr "%2$s 年 %1$s の投稿を表示"
+